/** @component drawer */
import { EventEmitter, ElementRef } from '@angular/core';
export declare type DrawerOpenFromDirection = 'right' | 'top' | 'bottom';
export declare type DrawerSize = 'medium' | 'large';
export declare class DrawerComponent {
    private _visible;
    /** @prop css class names | ''  */
    class: string;
    readonly className: string;
    /** @prop Set whether the drawer is open or not | 'false' */
    isOpen: Boolean;
    /** @prop Sets the openFrom opens | 'right' */
    openFrom: DrawerOpenFromDirection;
    /** @prop Sets the openFrom opens defaults | 'medium */
    size: DrawerSize;
    /** @prop set the text for accessibilty on the close button | 'close' */
    closeAriaLabel: String;
    /** use this event to know when the drawer has changed */
    drawerChanged: EventEmitter<Boolean>;
    close(): void;
    constructor(el: ElementRef);
}
