export interface LightboxInfo {
    sharedBy: string;
    sharedOn: string;
    size: string;
}
export interface LightboxPage {
    decrypting: boolean;
    image: string;
    thumb: string;
    content?: any;
}
export declare class LightboxTooltips {
    download: string;
    downloading: string;
    exit: string;
    previous: string;
    next: string;
    zoomIn: string;
    zoomOut: string;
}
/**
 * Configuration used when opening a lightbox.
 */
export declare class LightboxConfig {
    /** Determines if info is decrypting | false */
    decrypting?: boolean;
    /** Optional downloading css styling | false */
    downloading?: boolean;
    /** Set Height value of Lightbox */
    height: number;
    /** Initial index of start page | 0 */
    index: number;
    /** Lightbox information Object | {} */
    info: LightboxInfo;
    /** Required name prop for Lightbox */
    name: string;
    /** Callback function invoked by user when interact with Lightbox | null */
    onChange?: Function;
    /** Callback function invoked by user closing the Lightbox | null */
    onClose?: Function;
    /** Callback function invoked by the download action of Lightbox | null */
    onDownload?: Function;
    /** Array of Lightbox pages */
    pages: Array<LightboxPage>;
    /** Collection of predefined tootips for various Lightbox actions | { download: 'Download', etc } */
    tooltips?: LightboxTooltips;
    /** Set Width value for Lightbox */
    width: number;
}
